# GoogleChartSolidFillCollection Class Reference

Inheritance diagram for GoogleChartSolidFillCollection:
[legend]

List of all members.

## Public Member Functions

| addFiller (GoogleChartSolidFillType $type, Color $color)
| hasFillers ()
| toString ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $fillers = array()

## Detailed Description

Definition at line 15 of file GoogleChartSolidFillCollection.class.php.

## Member Function Documentation

GoogleChartSolidFillCollection::addFiller | ( | GoogleChartSolidFillType $ | type,
|  | Color $ | color |
| ) |  |  |

Definition at line 27 of file GoogleChartSolidFillCollection.class.php.

References create().

Here is the call graph for this function:

static GoogleChartSolidFillCollection::create | ( |  | ) | `[static]`

Returns:
  GoogleChartSolidFillCollection

Definition at line 22 of file GoogleChartSolidFillCollection.class.php.

Referenced by addFiller().

GoogleChartSolidFillCollection::hasFillers | ( |  | ) |

Definition at line 36 of file GoogleChartSolidFillCollection.class.php.

GoogleChartSolidFillCollection::toString | ( |  | ) |

Implements Stringable.

Definition at line 41 of file GoogleChartSolidFillCollection.class.php.

References $fillers, and GoogleChartSolidFill::getParamName().

Here is the call graph for this function:

## Member Data Documentation

GoogleChartSolidFillCollection::$fillers = array()`[private]`

Definition at line 17 of file GoogleChartSolidFillCollection.class.php.

Referenced by toString().

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartSolidFillCollection.class.php